Subject: bug#38447: Guix Stand-alone OS installation Error - T410 - x86 - intel - lenova

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 14 Dec 2019 15:13:10 +0100

Hello !

You're hitting two problems.
The first one is the one from the screenshot attached.
Then, you seem to restart the installation and it fails with "Unable to
locate keymap update file" which is (sadly) expected, because installation
restart always fails.
So we need to understand why the installer tries to build binutils instead
of relying on substitutes and why it fails.

Someone ?

Mathieu

Le ven. 13 déc. 2019 à 18:59, Pon Arun Kumar R <[email-masked]> a
écrit :

> Hi Mathieu,
>
> I did enable the virtualization settings in the BIOS (enabled kvm) in T410
> BIOS CPU config, retried GUI installer (as shown in the attached
> images/screenshots)
>
>
>
>
> On Dec 13, 2019, at 11:47 AM, Mathieu Othacehe <[email-masked]>
> wrote:
>
> Hello !
>
> Sorry for my late reply. This is strange because the error seems to
> indicate an issue with kmscon but you wouldn't get there if it was failing
> to start. Could you try to disable the NVIDIA GPU in the bios and report
> back?
>
> Thanks for your patience,
>
> Mathieu
> Afficher le text
>
> Le mer. 11 déc. 2019 à 17:08, Pon Arun Kumar R <[email-masked]> a
> écrit :
>
>> Hi Mathieu,
>>
>> When you get a chance, could you please share the details or suggestions
>> to proceed further with my GUIX installation on the lenova T410 x86 Intel?
>>
>> Appreciate your help!
>>
>> Regards,
>> Pon ArunKumar Ramalingam
>>
>> On Mon, Dec 2, 2019 at 9:18 AM Pon Arun Kumar R <[email-masked]>
>> wrote:
>>
>>> I downloaded the 1.0.1 image from the guix webpage and wrote a bootable
>>> DVD and used the graphical installer on a machine (lenova thinkpad t410
>>> 64bit)
>>>
>>> On Mon, Dec 2, 2019 at 9:14 AM Mathieu Othacehe <[email-masked]>
>>> wrote:
>>>
>>>>
>>>> Ok thanks. Did you use 1.0.1 image from http://guix.gnu.org/download/?
>>>>
>>>> Mathieu
>>>>
>>>> Pon Arun Kumar R writes:
>>>>
>>>> > Hi Mathieu,
>>>> >
>>>> > I tried selecting two different locale/keymap config in two different
>>>> > attempts, 1. on the regular US english intl and 2. regular US
>>>> eng,intl with
>>>> > dead keys,
>>>> >
>>>> > I tried several attempts, and I doubt whether it is something to do
>>>> with
>>>> > the BIOS settings update as a pre-requite for the installation.
>>>> >
>>>> > Thanks,
>>>> > Pon ArunKumar R
>>>> >
>>>> > On Mon, Dec 2, 2019 at 8:54 AM Mathieu Othacehe <[email-masked]
>>>> >
>>>> > wrote:
>>>> >
>>>> >>
>>>> >> Hello!
>>>> >>
>>>> >> > Could you please help in resolving this issue?
>>>> >> >
>>>> >> > “Unable to locate key map update file”
>>>> >>
>>>> >> Thanks for your report. Which locale/keymap did you choose before
>>>> this
>>>> >> error occured?
>>>> >>
>>>> >> Mathieu
>>>> >>
>>>>
>>>>